Bug 95324 - Chart sidebar doesn’t function with .docx charts
Summary: Chart sidebar doesn’t function with .docx charts
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Chart-Sidebar
  Show dependency treegraph
 
Reported: 2015-10-26 09:22 UTC by Luke
Modified: 2019-09-02 09:25 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
working for me on linux 6.1.1 (1.14 MB, video/mp4)
2018-08-19 19:28 UTC, BogdanB
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Luke 2015-10-26 09:22:23 UTC
Steps to reproduce:
1. Open any .docx file containing a chart such as attachment 119957 [details]
2. Edit the chart

Note the Chart sidebar shows is missing some controls, and trying to make changes like series area color does not have any effect.
Comment 1 Yousuf Philips (jay) (retired) 2015-10-26 16:01:32 UTC
Confirmed.

Version: 5.1.0.0.alpha1+
Build ID: 9a85743766e8a063d20d5f93ee88758e243397f4
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2015-10-23_00:56:39
Locale: en-US (en_US.UTF-8)
Comment 2 QA Administrators 2016-11-08 11:51:03 UTC Comment hidden (obsolete)
Comment 3 Alex 2018-08-19 19:14:11 UTC
Confirmed as still true

Libreoffice 6.1.0.3 Win 10. Build ID: efb621ed25068d70781dc026f7e9c5187a4decd1 En_GB
Comment 4 BogdanB 2018-08-19 19:28:06 UTC
Created attachment 144312 [details]
working for me on linux 6.1.1

Working for me on linux, Libre Office 6.1.1. See the video.

Version: 6.1.1.0.0+
Build ID: 5a56b72413d5f555c854e36d3bd2fd50ec21644c
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:libreoffice-6-1, Time: 2018-08-15_02:45:13
Locale: ro-RO (ro_RO.UTF-8); Calc: group threaded
Comment 5 BogdanB 2018-08-20 05:59:19 UTC
I notice this on Windows at work. But I thought I made somthing wrong... Maybe it's a Windows only related.
Comment 6 BogdanB 2018-08-20 06:10:59 UTC
I have done bibisect on this

2eadf2f6896527cb22486a28ad041a18f87506dc is the first bad commit
commit 2eadf2f6896527cb22486a28ad041a18f87506dc
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Fri Jun 8 18:02:14 2018 +0200

    source sha:3d532502c9a17049bdd383a3d5c56005222331b7
    
    source sha:3d532502c9a17049bdd383a3d5c56005222331b7

:040000 040000 55e0fe6826d59de19f87e5690bde952c82702ad1 cc7b3dd3238975c67eded4a18a91c0d88ce8e748 M	instdir


I have got this messaje on some testing: 
"func=xmlSecCheckVersionExt:file=xmlsec.c:line=188:obj=unknown:subj=unknown:error=19:invalid version:mode=abi compatible;expected minor version=2;real minor version=2;expected subminor version=25;real subminor version=26"

This is the reason I marked them as bibisect bad when this errors appears. 
I could change the color area of the bars on every versions I have tested on 6.1.
Comment 7 Timur 2018-08-20 10:59:21 UTC
This bug is not properly reported with exact steps. "Some" is not a word for reporting. Points to .DOCX without explaining if ODT works, is is a general or import issue. Looks like a duplicate of Bug 116838 that's more clear.
Comment 8 QA Administrators 2019-09-02 09:25:32 UTC
Dear Luke,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug